:h1. SpHyDir Project Objectives
:UL.
:li. 
Produce better quality HTML documents for the World Wide Web
while exposing the author to as little HTML syntax as possible.
:li. 
Simplify the construction of large documents composed of many
small, structurally interrelated hypertext files.
:li. 
Automatically generate navigational links, copyright notices,
and other standard features at the beginning or end of every
document.
:li. 
Provide a core set of functions, then allow the user to add
features by coding simple external Rexx functions.
:li. 
Generate documents that can be published both on the network (in
HTML format through the World Wide Web) and in hypertext file
format (as INF files viewed under Windows or OS/2).
:li. 
Simplify the development of Web "forms." In particular, provide
direct support that simplifies Rexx-based query programs running
under GoServe 2.0 (the free IBM Gopher/Web server for OS/2),
although the forms can be used with any CGI program running on
other servers.
:eUL.
:p.

SpHyDir is the :hp1.Structured Professional Hypertext
Directory:ehp1. Manger. It is Structured because it views a Web
not as a collection of ASCII files with format instructions, but
rather as a collection of documents with chapters, sections, and
subsections. It is Professional because it aims to manage a
large block of material and not to help the novice design a
single home page. It is Hypertext because it helps to manage
links between documents, structure across documents, and links
to remote information sources. It is a Directory manager because
it simplifies the maintenance of logical documents composed of
many small HTML files in the same directory.
:p.

SpHyDir is also an experiment in using IBM's Workplace interface
within an application program. Although IBM originally that the
Workplace model be used to handle application data objects as
well as System components, there are only a few examples of this
use and they have not been entirely successful. Whenever
possible, SpHyDir follows the Workplace model to decide how
things should be done and how they should look. This makes
SpHyDir a truly "native" OS/2 program.
:p.

SpHyDir does not claim to understand or process all "valid" Web
documents. There is a widely held view that the HTML language in
which Web documents are expressed is intended to provide
:hp1.formatting:ehp1. information. SpHyDir tries to use it to
extract document :hp1.structure:ehp1.. In particular, SpHyDir
assumes that a "heading" introduces a chapter, section, or
subsection. When someone uses heading tags just to get big
letters, SpHyDir will make all sorts of wrong assumptions. This
is not a bug and it is unlikely to ever be changed. SpHyDir
approaches the question of Web documents with an entirely
different philosophy.
:p.

The Web provides universal access to sophisticated information
from all computers on the Internet. Of necessity, this involves
some compromise in function and speed. There are also native
hypertext formats (HLP, INF) that provide many of the same
structural features, faster local performance, and extra
features such as keyword search. SpHyDir also generates IPF
source files that can be compiled into OS/2 HLP files and INF
files. The primary purpose of this feature was to provide a
version of this document that could double as HLP to the SpHyDir
program.
