:userdoc.
:title. The SpHyDir Project
:h1. The SpHyDir Project
:p.

Use of the Internet and particularly of the World Wide Web has
exploded in recent months. However, the language in which Web
documents is written (HTML) is obscure. It is difficult to
master even its simpler features, while experts rush to add even
more complicated new features to the language. Many documents
include mistakes that can produce various results on different
viewing programs. Getting the basic material right can be so
difficult that users often ignore recommended options that could
improve the quality of the document.
:p.

SpHyDir replaces the HTML syntax with a graphic view of the
document structure. Within the SpHyDir workarea, objects are
created to represent chapters, sections, paragraphs, images,
lists, and data-entry forms elements. The objects are arranged
in a natural hierarchy&colon. Sections contain subsections which
in turn contain paragraphs, images, and lists. Lists contain
numbered or unnumbered points. Forms contain entry fields and
buttons.
:p.

SpHyDir runs in OS/2 Warp and follows the Workplace model of its
user interface. The user drags a document into the workarea. New
elements are added to the document by dragging empty paragraph,
image, list, or forms objects and dropping them into the
document. Hypertext links are created by dragging files from the
library or URL references from a Web Browser and dropping them
on existing text or images.
:p.

Unlike "HTML Editors" SpHyDir concentrates on the entire library
of related files. The following links are to "subdocuments,"
separate Web files that are logically part of a single logical
document. Among subdocuments, SpHyDir automatically generates
links to the [Next] and [Previous] document and back here to the
root document. If a global change needs to be made, the entire
collection of related files can be regenerated.
:p.

SpHyDir only reads Web (HTML) documents. However, after editing
it produces both a revised *.HTM file and a second *.IPF file
that is input to the OS/2 Help compiler. IPF source can be used
to generate INF documentation and HLP program help files. INF
files can be viewed in OS/2 and (with a tool from IBM) in
Windows. Viewing information from a local hypertext file is
faster, and there are additional keyword search functions not
available through the Web. The document you are now viewing (and
its related files) are also available as SPHYDIR.INF. Since this
represents a useful example of many SpHyDir features, the source
is available for download along with the SpHyDir program.
.im  status.ipf
.im  OBJECTIVES.ipf
.im  CONCEPT.ipf
.im  DISCLAIMER.ipf
.im  GETIT.ipf
.im  OTHERPGM.ipf
.im  HOWTO.ipf
.im  TOOLBAR.ipf
.im  LINKMGR.ipf
.im  subdocs.ipf
.im  XSPO.ipf
.im  FORMS.ipf
.im  BUGS.ipf
.im  HTMLSUP.ipf
:euserdoc.
